Skip to main content
GET
/
filter
/
{id}
/
list
Execute Filter List
curl --request GET \
  --url http://{host}:{port}/{contextPath}/filter/{id}/list \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "assignee": "jonny1",
    "caseDefinitionId": null,
    "caseExecutionId": null,
    "caseInstanceId": null,
    "created": "2014-09-15T15:45:48.000+0200",
    "delegationState": null,
    "description": null,
    "due": null,
    "executionId": "aExecutionId",
    "followUp": null,
    "formKey": null,
    "id": "aTaskId",
    "lastUpdated": "2014-09-15T15:45:48.000+0200",
    "name": "Task 2",
    "owner": null,
    "parentTaskId": null,
    "priority": 50,
    "processDefinitionId": "aProcessId",
    "processInstanceId": "aProcessInstanceId",
    "suspended": false,
    "taskDefinitionKey": "aTaskKey"
  },
  {
    "assignee": "demo",
    "caseDefinitionId": null,
    "caseExecutionId": null,
    "caseInstanceId": null,
    "created": "2014-09-15T10:42:18.000+0200",
    "delegationState": null,
    "description": null,
    "due": null,
    "executionId": "anotherExecutionId",
    "followUp": null,
    "formKey": null,
    "id": "anotherTaskId",
    "lastUpdated": "2014-09-15T15:45:48.000+0200",
    "name": "Task 2",
    "owner": null,
    "parentTaskId": null,
    "priority": 50,
    "processDefinitionId": "anotherProcessId",
    "processInstanceId": "anotherProcessInstanceId",
    "suspended": false,
    "taskDefinitionKey": "anotherTaskKey"
  }
]

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

The id of the filter to execute.

Query Parameters

firstResult
integer

Pagination of results. Specifies the index of the first result to return.

maxResults
integer

Pagination of results. Specifies the maximum number of results to return. Will return less results if there are no more results left.

Response

Request successful. A JSON array containing JSON objects corresponding to the matching entity interface in the engine. This depends on the saved query in the filter. Therefore it is not possible to specify a generic result format, i.e., if the resource type of the filter is Task the result will correspond to the Task interface in the engine.